[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Message-Id: <1505386269-15774-1-git-send-email-naresh.kamboju@linaro.org>
Date: Thu, 14 Sep 2017 16:21:09 +0530
From: naresh.kamboju@...aro.org
To: shuahkh@....samsung.com, linux-kselftest@...r.kernel.org,
prarit@...hat.com
Cc: linux-kernel@...r.kernel.org, sumit.semwal@...aro.org,
milosz.wasilewski@...aro.org
Subject: [PATCH] selftests: intel_pstate: compile programs if executable not found
From: Naresh Kamboju <naresh.kamboju@...aro.org>
Test exit due to aperf.c: No such file or directory
./run.sh
gcc: error: aperf.c: No such file or directory
Problem compiling aperf.c.
The Makefile installs executable programs "aperf" and "msr"
so skip compile on target.
Signed-off-by: Naresh Kamboju <naresh.kamboju@...aro.org>
---
tools/testing/selftests/intel_pstate/run.sh | 15 ++++++++++-----
1 file changed, 10 insertions(+), 5 deletions(-)
diff --git a/tools/testing/selftests/intel_pstate/run.sh b/tools/testing/selftests/intel_pstate/run.sh
index 7868c106b8b1..2149b9b5876a 100755
--- a/tools/testing/selftests/intel_pstate/run.sh
+++ b/tools/testing/selftests/intel_pstate/run.sh
@@ -31,11 +31,16 @@ EVALUATE_ONLY=0
max_cpus=$(($(nproc)-1))
-# compile programs
-gcc aperf.c -Wall -D_GNU_SOURCE -o aperf -lm
-[ $? -ne 0 ] && echo "Problem compiling aperf.c." && exit 1
-gcc -o msr msr.c -lm
-[ $? -ne 0 ] && echo "Problem compiling msr.c." && exit 1
+# Compile programs if executable not found
+if [ ! -x aperf ]; then
+ gcc aperf.c -Wall -D_GNU_SOURCE -o aperf -lm
+ [ $? -ne 0 ] && echo "Problem compiling aperf.c." && exit 1
+fi
+
+if [ ! -x msr ]; then
+ gcc -o msr msr.c -lm
+ [ $? -ne 0 ] && echo "Problem compiling msr.c." && exit 1
+fi
function run_test () {
--
2.13.0
Powered by blists - more mailing lists